package com.example.assignment1;


import android.content.Context;
import android.content.SharedPreferences;


public class EventButtonSharedPreferenceHelper {

    private SharedPreferences sharedPreferences;

    public EventButtonSharedPreferenceHelper(Context context, EventButton eventButton) {
        sharedPreferences = context.getSharedPreferences(eventButton.getEventButton(), Context.MODE_PRIVATE);
    }

    public void saveEventButtonName(EventButton eventButton, String eventButtonName) {
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putString(eventButton.getEventButton(), eventButtonName);
        editor.apply();
    }

    public String getEventButtonName(EventButton eventButton) {
        return sharedPreferences.getString(eventButton.getEventButton(), null);
    }
}